## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global _vpath_srcdir Kvantum

Name:           ida-kvantum
Version:        1.1.5
Release:        %autorelease
Summary:        SVG-based theme engine for Qt, KDE and LXQt for IDA

License:        GPL-3.0-or-later
URL:            https://github.com/tsujan/Kvantum
Source0:        %{url}/releases/download/V%{version}/Kvantum-%{version}.tar.xz
Source1:        %{url}/releases/download/V%{version}/Kvantum-%{version}.tar.xz.asc
Source2:        https://github.com/tsujan.gpg

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  make
BuildRequires:  gnupg2
BuildRequires:  ida-qt5-qtbase-devel
BuildRequires:  ida-qt5-qtsvg-devel
BuildRequires:  ida-qt5-qtx11extras-devel

Requires:       kvantum-data = %{version}
Requires:       ida-qt5-qtx11extras

%description
Kvantum is an SVG-based theme engine for Qt, tuned to KDE and LXQt, with an
emphasis on elegance, usability and practicality.

Kvantum has a default dark theme, which is inspired by the default theme of
Enlightenment. Creation of realistic themes like that for KDE was the first
reason to make Kvantum but it goes far beyond its default theme: you could
make themes with very different looks and feels for it, whether they be
photorealistic or cartoonish, 3D or flat, embellished or minimalistic, or
something in between, and Kvantum will let you control almost every aspect of
Qt widgets.

Kvantum also comes with many other themes that are installed as root and can
be selected and activated by using Kvantum Manager.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -n Kvantum-%{version}

%build
%cmake \
  -DENABLE_QT5:BOOL=ON \
  -DWITHOUT_KF:BOOL=ON \
  -DCMAKE_PREFIX_PATH=%{_ida_qt5_prefix} \
  -DCMAKE_INSTALL_LIBDIR=%{_ida_qt5_prefix}/%{_lib} \
  -DCMAKE_INSTALL_RPATH_USE_LINK_PATH:BOOL=ON
%cmake_build

%install
%cmake_install

export QA_RPATHS=0x0002

%files
%license Kvantum/COPYING
%doc Kvantum/ChangeLog Kvantum/NEWS Kvantum/README.md
%{_ida_qt5_plugindir}/styles/libkvantum.so

%changelog
## START: Generated by rpmautospec
* Wed Jun 04 2025 Zephyr Lykos <git@mochaa.ws> - 1.1.5-2
- ida: apply patches

* Wed Jun 04 2025 Zephyr Lykos <git@mochaa.ws> - 1.1.5-1
- Update to 1.1.5

* Sun Apr 06 2025 Robert-André Mauchin <zebob.m@gmail.com> - 1.1.4-1
- Update to 1.1.4

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Oct 27 2024 Arthur Bols <arthur@bols.dev> - 1.1.3-1
- Update to 1.1.3 (fedora#2321883)

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 16 2024 Arthur Bols <arthur@bols.dev> - 1.1.2-1
- Update to 1.1.2 (fedora#2284267)

* Sat May 25 2024 Arthur Bols <arthur@bols.dev> - 1.1.1-1
- Update to 1.1.1 (fedora#2277895)

* Thu Mar 28 2024 Arthur Bols <arthur@bols.dev> - 1.1.0-1
- Update to 1.1.0 (fedora#2269918)

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Dec 26 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.0.10-3
- Add Qt6 plugin subpackage

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jun 16 2023 Arthur Bols <arthur@bols.dev> - 1.0.10-1
- Update to 1.0.10 (rhbz#2185947)

* Sat Mar 18 2023 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.9-1
- Update to 1.0.9

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 27 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.7-1
- Update to 1.0.7

* Sun Oct 23 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.5-1
- Update to 1.0.5

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jul 09 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.3-1
- Update to 1.0.3 - Close: rhbz#2105097 rhbz#2058498

* Sun Jul 03 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.2-1
- Update to 1.0.2 - Close: rhbz#2056047

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Dec 24 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0-1
- Update to 1.0.0 Close: rhbz#2034356

* Sun Nov 28 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.20.2-1
- Update to 0.20.2 Close: rhbz#2004753

* Sun Jul 25 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.20.1-1
- Update to 0.20.1 Close: rhbz#1984725

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri May 28 14:04:11 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.20.0-1
- Update to 0.20.0
- Close: rhbz#1965594

* Thu Apr  8 21:26:59 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.19.0-1
- Update to 0.19.0
- Close: rhbz#1938358

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan  8 16:19:01 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.18.0-1
- Update to 0.18.0
- Close: rhbz#1913046

* Mon Nov 09 19:18:04 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.17.0-1
- Release 0.17.0
- Close: rhbz#1867843

* Mon Aug 24 15:30:29 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.16.1-1
- Release 0.16.1 (#1867843)

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 01 14:24:08 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.16.0-1
- Release 0.16.0 (#1850067)

* Wed Jun 17 22:50:35 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.15.3-1
- Release 0.15.3 (#1812291)

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Jan 11 18:45:16 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.14.1-1
- Release 0.14.1 (#1786895)

* Thu Dec 05 22:47:54 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.13.0-1
- Release 0.13.0 (#1780135)

* Sat Oct 12 14:37:59 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.12.1-1
- Release 0.12.1 (#1761073)

* Tue Oct 08 15:44:10 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.12.0-1
- Release 0.12.0 (#1759377)

* Thu Aug 08 22:28:36 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.11.2-1
- Release 0.11.2

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun May 12 22:31:24 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.11.1-1
- Release 0.11.1 (#1709046)

* Sun Mar 24 14:57:08 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.11.0-1
- Release 0.11.0

* Tue Feb 19 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.10.9-1
- Release 0.10.9

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Nov 06 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.10.8-2
- Remove dependency to kde-filesystem and plasma-desktop

* Tue Oct 02 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.10.8-1
- Initial release

## END: Generated by rpmautospec
